cURL
curl --request GET \
--url https://riona.ai/api/1.1/wf/instagram-niches-insight \
--header 'Authorization: Bearer <token>'import requests
url = "https://riona.ai/api/1.1/wf/instagram-niches-insight"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://riona.ai/api/1.1/wf/instagram-niches-insight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lastUpdate": "12-09-2025",
"niches": [
{
"rank": 1,
"niche": "Fashion",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 6,
"currencyCPM": "USD"
},
{
"rank": 2,
"niche": "Makeup Tutorials",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 6,
"currencyCPM": "USD"
},
{
"rank": 3,
"niche": "Personal Finance",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 4,
"niche": "Investing / Crypto",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 5,
"niche": "Entrepreneurship",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 6,
"niche": "Fitness & Wellness",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 7,
"niche": "Travel & Ads",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 8,
"niche": "Parenting & Home",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 9,
"niche": "Cooking & Recipes",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 10,
"niche": "Gaming Clips",
"estAvgCPM": 1,
"lowAvgCPM": 0.5,
"highAvgCPM": 2,
"currencyCPM": "USD"
},
{
"rank": 11,
"niche": "Humor & Memes",
"estAvgCPM": 1,
"lowAvgCPM": 0.5,
"highAvgCPM": 2,
"currencyCPM": "USD"
}
]
}
Data
Niche Insights
Get Instagram Niche Revenue Insights 💲
GET
/
wf
/
instagram-niches-insight
cURL
{
"lastUpdate": "12-09-2025",
"niches": [
{
"rank": 1,
"niche": "Fashion",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 6,
"currencyCPM": "USD"
},
{
"rank": 2,
"niche": "Makeup Tutorials",
"estAvgCPM": 4,
"lowAvgCPM": 3,
"highAvgCPM": 6,
"currencyCPM": "USD"
},
{
"rank": 3,
"niche": "Personal Finance",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 4,
"niche": "Investing / Crypto",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 5,
"niche": "Entrepreneurship",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 6,
"niche": "Fitness & Wellness",
"estAvgCPM": 3,
"lowAvgCPM": 2,
"highAvgCPM": 5,
"currencyCPM": "USD"
},
{
"rank": 7,
"niche": "Travel & Ads",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 8,
"niche": "Parenting & Home",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 9,
"niche": "Cooking & Recipes",
"estAvgCPM": 2,
"lowAvgCPM": 1,
"highAvgCPM": 3,
"currencyCPM": "USD"
},
{
"rank": 10,
"niche": "Gaming Clips",
"estAvgCPM": 1,
"lowAvgCPM": 0.5,
"highAvgCPM": 2,
"currencyCPM": "USD"
},
{
"rank": 11,
"niche": "Humor & Memes",
"estAvgCPM": 1,
"lowAvgCPM": 0.5,
"highAvgCPM": 2,
"currencyCPM": "USD"
}
]
}
⌘I